<?php
/**
 * MyBB 1.4
 * Copyright  2009 MyBB Plus, All Rights Reserved
 * http://mybb.ithium.net
 * AJAX/RSS Ticker
 */
 
// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("global_start", "ajaxticker");
$plugins->add_hook("global_start", "ajaxtickerjs");

function rssajaxticker_info()
{
// Plugin Information
	return array(
		"name"			=> "AJAX/RSS Ticker",
		"description"	=> "This displays a AJAX/RSS ticker.",
		"website"		=> "http://mybb.ithium.net",
		"author"		=> "MyBB Plus",
		"authorsite"	=> "http://mybb.ithium.net",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "14*"
	);
}

function rssajaxticker_activate()
{
global $db, $settings, $mybb;

$settings_group = array(
        'name'         => 'rsslatest',
        'title'        => 'AJAX/RSS Ticker',
        'description'  => 'Adjust the settings of the ticker.',
        'disporder'    => '0',
        'isdefault'    => '0'
    );
    $db->insert_query('settinggroups',$settings_group);
    $gid = $db->insert_id();
	
	// Insert Settings
    $setting = array(
        'name'         => 'rsslatest_text',
        'title'        => 'RSS Text',
        'description'  => 'Settings for the text "Latest Threads:", edit to your needs.',
        'optionscode'  => 'text',
        'value'        => 'Latest Threads: ',
        'disporder'    => '1',
        'gid'          => intval( $gid ),
		'isdefault'    => '0'
    );
	$db->insert_query('settings',$setting);
	
	    $setting = array(
        'name'         => 'rsslatest_css',
        'title'        => 'RSS Styling',
        'description'  => 'Add the CSS for your ticker here.',
        'optionscode'  => 'textarea',
        'value'        => 'background: #ADCBE7;
	border-top: 2px solid #0F5C8E;
	border-bottom: 2px solid #0F5C8E;
	text-align: center;
	margin: 10px auto;
	padding: 5px 20px;',
        'disporder'    => '1',
        'gid'          => intval( $gid ),
        'isdefault'    => '0'
    );
	$db->insert_query('settings',$setting);
	
	    $setting = array(
        'name'         => 'rsslatest_feed',
        'title'        => 'RSS URL',
        'description'  => 'Add the feed URL here.',
        'optionscode'  => 'text',
        'value'        => $mybb->settings['bburl'].'/syndication.php',
        'disporder'    => '1',
        'gid'          => intval( $gid ),
        'isdefault'    => '0'
    );
	$db->insert_query('settings',$setting);
	
include MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('{$pm_notice}').'#', '{$ajaxticker}{$pm_notice}');
find_replace_templatesets("headerinclude", '#'.preg_quote('{$stylesheets}').'#', '{$ajaxtickerjs}{$stylesheets}');
	
	
rebuild_settings();
}
function rssajaxticker_deactivate()
{
global $db;

	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='rsslatest'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='rsslatest_feed'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='rsslatest_css'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='rsslatest_text'");
	
include MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('{$ajaxticker}').'#', '', 0);
find_replace_templatesets("headerinclude", '#'.preg_quote('{$ajaxtickerjs}').'#', '', 0);

rebuild_settings();
}

function ajaxticker()	
{
global $mybb, $header,$headerinclude, $ajaxticker, $settings;	

$ajaxticker = "<div style=\"{$mybb->settings['rsslatest_css']}\">
{$mybb->settings['rsslatest_text']}
<script type=\"text/javascript\">
new rssticker_ajax(\"rssfeed\", 1500, \"ddbox\",\"\", 3500, \"date\")
</script>
</div>";
}
function ajaxtickerjs()	
{
global $mybb,$headerinclude, $ajaxtickerjs, $settings;	

$ajaxtickerjs = "<script type=\"text/javascript\" src=\"{$mybb->settings['bburl']}/jscripts/rssticker.js\"></script>";
}
?>